# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::IntraDCBandVLC Class Reference

A class specially for coding the DC subband of Intra frames. More...

`#include <band_vlc.h>`

Inheritance diagram for dirac::IntraDCBandVLC:

List of all members.

## Public Member Functions

- IntraDCBandVLC (SubbandByteIO *subband_byteio, const SubbandList &band_list)
    Constructor.

## Private Member Functions

- void CodeCoeff (CoeffArray &in_data, const int xpos, const int ypos)
    Encode a single coefficient using error-feedback DC quantization.
- IntraDCBandVLC (const IntraDCBandVLC &cpy)
    Private, bodyless copy constructor: class should not be copied.
- IntraDCBandVLC & operator= (const IntraDCBandVLC &rhs)
    Private, bodyless copy operator=: class should not be assigned.

## Detailed Description

A class specially for coding the DC subband of Intra frames, using intra-band prediction of coefficients.

## Constructor & Destructor Documentation

dirac::IntraDCBandVLC::IntraDCBandVLC | ( | SubbandByteIO * | subband_byteio,
|  | const SubbandList & | band_list |
| ) |  |  |

Creates a IntraDCBandVLC object to encode subband data, based on parameters

Parameters:

  | subband_byteio | input/output for the encoded bits
  | band_list | the set of all the subbands

dirac::IntraDCBandVLC::IntraDCBandVLC | ( | const IntraDCBandVLC & | cpy | ) | `[private]`

## Member Function Documentation

void dirac::IntraDCBandVLC::CodeCoeff | ( | CoeffArray & | in_data,
|  | const int | xpos,
|  | const int | ypos |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::GenericBandCodec< ArithCodecToVLCAdapter >.

IntraDCBandVLC& dirac::IntraDCBandVLC::operator= | ( | const IntraDCBandVLC & | rhs | ) | `[private]`

The documentation for this class was generated from the following file:

- band_vlc.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.